Request ids-extension Labs project
Closed, ResolvedPublic

Description

Project Name: ids-extension

Purpose: We want to test the extension IDS on Labs before proceeding to security and code reviews.

Wikitech Username of requestor: @Shoichi and @niharika29

Related Objects

StatusAssignedTask
OpenNone
Resolvedyuvipanda
Shoichi created this task.Jun 25 2016, 7:36 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 25 2016, 7:36 PM
Niharika updated the task description. (Show Details)Jun 25 2016, 7:39 PM
Niharika updated the task description. (Show Details)
Niharika updated the task description. (Show Details)
Niharika updated the task description. (Show Details)Jun 25 2016, 7:41 PM
Niharika renamed this task from Request Mediawiki-IDSextension testing to Request ids-extension Labs project.Jun 26 2016, 7:48 AM
yuvipanda closed this task as Resolved.Jun 26 2016, 9:42 AM
yuvipanda claimed this task.
yuvipanda added a subscriber: yuvipanda.

I've created it - it is mw-extension-ids, and added Niharika as admin. Feel free to add others.

Thank you !

Shoichi added a comment.EditedJun 26 2016, 2:31 PM

I've created it - it is mw-extension-ids, and added Niharika as admin. Feel free to add others.

Excuse me, I have a question. I guess "mw-extension-ids" is a mediawiki server? What is its link? I want to know where to use it.

Hi Shoichi, let's collaborate on this on irc or messenger. I can explain more. :)

Hi Shoichi, let's collaborate on this on irc or messenger. I can explain more. :)

Hi Niharika, so what's my next step to use or set the "mw-extension-ids wiki" ?

Shoichi changed the task status from Resolved to Invalid.Jun 27 2016, 3:28 PM
Shoichi triaged this task as High priority.
Shoichi removed yuvipanda as the assignee of this task.
This comment was removed by Shoichi.
Luke081515 reopened this task as Open.Jun 27 2016, 3:30 PM
Luke081515 added a subscriber: Luke081515.

From IRC: The actually problem of @Shoichi is that (according to him) @Niharika is currently at vacation, and he has actually no access to that project to try out his extensions. So the problem is, that @Niharika can't actually add him, so I think he want a labsadmin to add him.

Shoichi assigned this task to yuvipanda.Jun 27 2016, 3:31 PM
Shoichi closed this task as Invalid.
This comment was removed by Shoichi.
Luke081515 reopened this task as Open.Jun 27 2016, 3:32 PM

(You want this task open, so that someone can correct the things here. If you close that task as invalid, no one will change your membership)

I've added @Shoichi to be a projectadmin too!

Shoichi added a comment.EditedJun 27 2016, 6:20 PM

I've added @Shoichi to be a projectadmin too!

Thank you. I have further question. When I am on server,primary.bastion.wmflabs.org ,I found "ssh -A shoichi@ids.mw-extension-ids.eqiad.wmflabs" (I have set ssh ForwardAgent yes ) failed. It says "Permission denied (publickey)"

I read logs of ids.mw-extension-ids.eqiad.wmflabs project on https://horizon.wikimedia.org/project/ I see some "root@ids" .
Does it means there is only root on ids.mw-extension-ids.eqiad.wmflabs now?

You shouldn't use agent forwarding, you need to "ssh shoichi@ids.mw-extension-ids.eqiad.wmflabs" on your own computer and have it set up to proxy via bastion.wmflabs.org in your ~/.ssh/config file, see https://wikitech.wikimedia.org/wiki/Help:Access#Accessing_instances_with_ProxyCommand_ssh_option_.28recommended.29

By using the new method, I found I sucessfully login to Ids-1.mw-extension-ids.eqiad.wmflabs ,but still failed on logining to Ids.mw-extension-ids.eqiad.wmflabs.

You shouldn't use agent forwarding, you need to "ssh shoichi@ids.mw-extension-ids.eqiad.wmflabs" on your own computer and have it set up to proxy via bastion.wmflabs.org in your ~/.ssh/config file, see https://wikitech.wikimedia.org/wiki/Help:Access#Accessing_instances_with_ProxyCommand_ssh_option_.28recommended.29

Shoichi closed this task as Resolved.Jun 27 2016, 8:45 PM
Shoichi lowered the priority of this task from High to Lowest.

Thx to Luke081515 help me setting up ids-testing instance,and setup the testing wiki . Now working :

http://ids-testing.wmflabs.org/wiki/

Thx to Luke081515 help me setting up ids-testing instance,and setup the testing wiki . Now working :

http://ids-testing.wmflabs.org/wiki/

Awesome!